Project

General

Profile

Freedom issue #1783

Falkon has broken dependency: qt5-webengine

libre_hackerman - over 1 year ago - . Updated 10 months ago.

Status:
confirmed
Priority:
freedom issue
Assignee:
-
% Done:

0%


Description

Falkon package ( https://www.parabola.nu/packages/extra/x86_64/falkon/ ) on depends on the absent qt5-webengine.


Related issues

Related to Packages - Freedom issue #1167: [chromium][qt5-webengine][electron] QTWebgine/Electron embeds "entire Chromium platform"confirmed

Actions
Related to Packages - Bug #1820: qt5-webengine missing then Falkon not workingduplicate

Actions

History

#1

Updated by bill-auger over 1 year ago

  • Related to Freedom issue #1167: [chromium][qt5-webengine][electron] QTWebgine/Electron embeds "entire Chromium platform" added
#2

Updated by bill-auger over 1 year ago

  • Priority changed from bug to freedom issue
#3

Updated by ovruni over 1 year ago

  • Tracker changed from Bug to Freedom issue
#4

Updated by bill-auger over 1 year ago

  • Related to Bug #1820: qt5-webengine missing then Falkon not working added
#5

Updated by hd_scania over 1 year ago

The package qt5-webengine is still absent and still flagged to be a "virtual" package, however under practice QtWebEngine is not strictly dependent on "Pepper" Flash plugin. That's the best if the Parabola labs hosts own Git repo for QtWebEngine with "Pepper" Flash plugin and its unneeded deps removed.

#6

Updated by bill-auger over 1 year ago

it would be good to clear up the 'qt5-webengine' issue for the sake of the many dependents it has accumulated recently - but i should add that a number of parabola devs agree that there is not any need for any more webkit or webengine based browsers - parabola already has 'epiphany' (aka "gnome web") that works well, has already had it's freedom issues addressed, and is extremely similar to qupzilla, falkon, midori and others - unless it can be shown that one of these has some unique advantages over the others in it's class than they are all very much redundant duplicates

#7

Updated by bill-auger over 1 year ago

  • Subject changed from Falkon has broken dependencies to Falkon has broken dependency: qt5-webengine
#8

Updated by bill-auger 10 months ago

  • Status changed from open to confirmed

Also available in: Atom PDF